MPIP(4)
π NAME π
okay so bestie, welcome to MPIP(4) β aka the mpip page from the Kernel Interfaces Manual β and the name is literally:
mpip β MPLS IP layer 2 pseudowire
short, iconic, no notes π
π¦ SYNOPSIS π¦
pseudo-device mpip
π DESCRIPTION π
The mpip interface is literally here to create an MPLS IP layer 2 tunnel between two points. Two points. Tunnel. MPLS. Layer 2. The way that this interface just connects things? Obsessed β¨.
You can create an mpip interface at runtime with the ifconfig mpipN create command, or by setting up a hostname.if(5) configuration file for netstart(8). Then the interface itself gets configured with ifconfig(8). Easy? Yes. Iconic? Also yes π«Ά.
The local MPLS label, the remote MPLS label and neighbor, use of pseudowire control words, or flow-aware transport are normally configured after negotiation with a remote system using ldpd(8). But β and this is the fun part β it is also possible to configure them manually using ifconfig(8). Manual mode, main character energy, no cap π.
π EXAMPLES π
Create a pseudowire with local label 20 and remote label 21 on neighbor 10.254.0.1:
# ifconfig mpip5 create
# ifconfig mpip5 mplslabel 20 pweneighbor 21 10.254.0.1
# ifconfig mpip5 up
Disable the use of the Pseudowire Emulation Edge-to-Edge (PWE3) Control Word, and enable the use of a Flow label for Flow-Aware Transport of Pseudowires:
# ifconfig mpip5 -pwecw pwefat
π SEE ALSO π
mpe(4)mpw(4)hostname.if(5)ifconfig(8)ldpd(8)netstart(8)
β STANDARDS β
- S. Bryant and P. Pate, Pseudo Wire Emulation Edge-to-Edge (PWE3) Architecture, RFC 3985, March 2005.
- S. Bryant, G. Swallow, and L. Martini, Pseudowire Emulation Edge-to-Edge (PWE3) Control Word for Use over an MPLS PSN, RFC 4385, February 2005.
- S. Bryant, C. Filsfils, U. Drafz, V. Kompella, J. Regan, and S. Amante, Flow-Aware Transport of Pseudowires over an MPLS Packet Switched Network, RFC 6391, November 2011.
π HISTORY π
The mpip kernel interface first appeared in OpenBSD 6.5. A whole era. We stan a debut π.
xoxo, source/version Debian, dated March 18, 2021, signing off as MPIP(4) π β¨
π¦ where this page comes from
- nixpkgs unstable: cvs-export
- Copyright (C) 2019 David Gwynne <dlg@openbsd.org>
- π girlified by deepseek-ai/DeepSeek-V4.1-Flash-1017 on : a language model's rewrite of the original, under its terms